#include <bits/stdc++.h>

using namespace std;

int a[2000005];
bool pr[2000005];
int main()
{
    ios_base::sync_with_stdio(false);
    int n,k,x,br=0;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a[x+n]++;
        if(a[x+n]>=k&&pr[x+n]==false)
        {
            pr[x+n]=true;
            br++;
        }
    }
    cout<<br<<endl;
    for(int i=0;i<2*n+1;i++)
    {
        if(pr[i]==true)
        {
            cout<<i-n<<" ";
        }
    }
}